#include <SoftwareSerial.h>
#include "LiquidCrystal.h"

SoftwareSerial mySerial(6, 5); // RX, TX    

LiquidCrystal lcd(8,7,3,2,1,0);
//LiquidCrystal(rs, enable, d4, d5, d6, d7) 

int t=0;
void setup() {
  mySerial.begin(9600);
  
  lcd.begin(16,2);//LCDの列数と行数を指定する
  lcd.setCursor(0,0);//(col,row)
  //text to print
  lcd.print("Temperature");
  delay(100);
  
  t=0;
  lcd.setCursor(0,1);//(col,row)
  lcd.print(t);
}
void loop()
{


   if ( mySerial.available()>=3) {  // ヘッダー,下位バイト + 上位バイト
      if ( mySerial.read() == 'H' ) {  // ヘッダ文字を見つけたところから読み取る
          int val_high = mySerial.read();   // 上位読み込み
          int val_low = mySerial.read();   // 下位読み込み
          int t=(val_high<<8)+ val_low;
          lcd.clear();
          lcd.setCursor(0,0);//(col,row)
          lcd.print("Temperature");
          lcd.setCursor(0,1);//(col,row)
          lcd.print(t);
          lcd.print(" C");
          //mySerial.clear();
      }
    }
  delay(500);

}
