#include <Adafruit_MAX31855tiny.h>
#include <SoftwareSerial.h>

#define MAXDO   5
#define MAXCS   3
#define MAXCLK  4

Adafruit_MAX31855 thermocouple(MAXCLK, MAXCS, MAXDO);

const int rx=1;
const int tx=0;
const int outp=8;
int set_temp=300;
SoftwareSerial mySerial(rx,tx);

void setup() {
  pinMode(outp,OUTPUT);
  mySerial.begin(9600);
 
  delay(500);
  //mySerial.println("MAX31855 test");
}

void loop() {
  int t= int(thermocouple.readCelsius());

  mySerial.write('H'); // ヘッダの送信
  mySerial.write(t >> 8);
  mySerial.write(t & 255);
  if (t<set_temp){
    digitalWrite(outp,HIGH);
  }else{
    digitalWrite(outp,LOW);
  }
  
   delay(500);
}
